Create Audit Event
POST
/v1/audit/events
const url = 'https://example.com/v1/audit/events';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"example","event_type":"example","severity":"info","actor_type":"system","actor_id":"example","resource_type":"example","resource_id":"example","payload":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/audit/events \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "example", "event_type": "example", "severity": "info", "actor_type": "system", "actor_id": "example", "resource_type": "example", "resource_id": "example", "payload": {} }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
AuditEventOut
object
tenant_id
required
Tenant Id
string
id
required
Id
string
event_type
required
Event Type
string
severity
required
Severity
string
actor_type
required
Actor Type
string
payload
required
Payload
object
key
additional properties
any
created_at
required
Created At
string format: date-time
Example
{ "severity": "info"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}